Page MenuHomePhabricator

Test mailing list emulation in Space
Closed, DeclinedPublic0 Estimated Story Points

Description

@Tgr and Samat have agreed to use the new huwiki subcategory as testing grounds for bringing life into an old mailing list, assuming they are able to get their community on board.

In order to initiate testing, the following conditions must be met, per both of them:

  • Single Wikimedia login
  • Configure Wikimedia alias to send to the current subcategory incoming email address, wikimedia.space+huwiki@gmail.com. Gergo believes this is easy to do, although I have mentioned to him that I believe there were issues with wikimedia.org addresses in this context before.
  • Redirect old mailing list to the Wikimedia alias
  • Import previous list archives

Event Timeline

elappen-WMF triaged this task as Medium priority.Aug 21 2019, 12:22 AM
elappen-WMF created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2019, 12:22 AM
elappen-WMF mentioned this in Unknown Object (Task).Aug 21 2019, 12:23 AM
Tgr awarded a token.EditedAug 21 2019, 8:44 AM

The old address to redirect is wikihu-l@lists.wikimedia.org (mailman link).

Tgr added a comment.Aug 21 2019, 8:50 AM

Configure Wikimedia alias to send to the current subcategory incoming email address, wikimedia.space+huwiki@gmail.com. Gergo believes this is easy to do, although I have mentioned to him that I believe there were issues with wikimedia.org addresses in this context before.

Redirecting a mailman address should be easy AFAIK. I don't think there is much point in sending it to a Gmail address though (as opposed to whatever final address Discourse uses; or maybe the Gmail address exists because Discourse uses IMAP/POP?).

Tgr added a comment.Aug 21 2019, 8:51 AM

Another thing we'd like is import of the old list archives.

Tgr added a comment.Aug 21 2019, 8:56 AM

How does mailing list emulation work? Let's see user A is a subscriber to the list who has never interacted with Discourse and doesn't want to, and user B sends a mail to the list or uses the web interface to write a post. How does that ever reach user A? I can imagine two setups:

  • the mailing list remains fully operational; messages are synced between the list and Discourse (ie. all incoming mail is forwarded to Discourse, or maybe Discourse uses direct IMAP or POP access; and Discourse sends an email to the mailing list when someone creates something via the web interface)
  • the mailing list becomes an alias (the mailing list address forwards to Discourse, and is used as a reply-to address in outgoing Discourse mail); the existing list subscribers are exported, and some sort of virtual user is created for them, with the appropriate notification settings (such as watching the category) set

Which of those approaches is used by Discourse?

elappen-WMF updated the task description. (Show Details)Aug 21 2019, 3:53 PM
elappen-WMF reassigned this task from elappen-WMF to Qgil.Aug 22 2019, 5:54 PM
Tgr moved this task from Backlog to Huwiki on the User-Tgr board.
Samat added a subscriber: Samat.Aug 26 2019, 1:42 PM
Qgil added a comment.Sep 3 2019, 8:02 AM

@Tgr I really want to start discussing mailing list related plans and details, and also start testing. The thing is, I will be still very busy a couple more weeks with management related work that I have to prioritize. Also, when I have time, Wikimedia login plugin (which is a dependency of this task anyway) goes before this.

I am mentioning this only to make clear that we haven't forgotten. :)

OK, I think the time is approaching now. :)

Qgil updated the task description. (Show Details)Oct 4 2019, 8:57 AM
Samat added a comment.Oct 6 2019, 4:36 PM

(I am following the topic very carefully, however, I don't think I can contribute anyhow now.)

Tgr added a comment.Oct 6 2019, 7:10 PM

How does wikimedia.space+huwiki@gmail.com end up in Discourse? Is it forwarded to some fake mail server that's part of Discourse, or does Discourse fetch it via IMAP access or something of the like? I'm wondering if we can cut out the middleman and do whatever wikimedia.space+huwiki@gmail.com does directly from wikihu-l@lists.wikimedia.org.

Qgil raised the priority of this task from Medium to High.Oct 7 2019, 1:24 PM

Discourse accesses wikimedia.space@gmail.com via POP3 and converts incoming email in posts located in the categories defined after the "+" sign. In the past I tried to use a @wikimedia.org mailbox instead of a gmail.com, unsuccessfully due to (apparently) a limitation in the package the Foundation has contracted to Google. I should check again, so we can have a nice @wikimedia.org email address for this.

I'm wondering if we can cut out the middleman and do whatever wikimedia.space+huwiki@gmail.com does directly from wikihu-l@lists.wikimedia.org.

At the end, the redundant middleman here is wikihu-l@lists.wikimedia.org, right? If we would have a decent email address (not gmail.com), we don't need to keep a Mailman mailing list just to provide an email address to interact with.

Tgr added a comment.Oct 8 2019, 11:17 AM

At the end, the redundant middleman here is wikihu-l@lists.wikimedia.org, right?

Established mailing list addresses are hard to change - people would have to update their address books, manually edit the address when replying to old threads etc.
Less of an issue for a list that's mostly dead, but still an issue.

Qgil added a comment.Oct 8 2019, 12:56 PM

I see your point, but what is technically possible? Even if a redirect from "wikihu-l@lists.wikimedia.org" (not a real mailing list anymore, just a redirect) to the Discourse email address would work (e.g. "space+huwiki@wikimedia.org", a POP3 mailbox), the emails received by the people wouldn't have "wikihu-l@lists.wikimedia.org" in the From/Reply-To.

Playing with these redirects we may confuse humans and trigger anti-spam filters.

Instead, if the mailing list is closed an auto-responder could be set (I believe Mailman can do this, to be checked) informing users about the new email address.

Tgr added a comment.Nov 30 2019, 8:51 PM

@Qgil where is this at? Not particularly urgent, I'm just not sure if you are waiting for us to do something or just busy with other work / organizational changes.

I am sorry for this change of gears. Due to the CE reorg, I had to put several tasks on hold.

Qgil lowered the priority of this task from High to Low.Dec 30 2019, 2:06 PM
Qgil closed this task as Declined.Feb 18 2020, 3:46 PM

Declining this task because of the Space announcement - https://discuss-space.wmflabs.org/t/next-steps-on-wikimedia-space/3184